import request from '@/utils/request'

// 查询安全阀离线切出申请列表
export function listOfflinevalve(query) {
  return request({
    url: '/apply/offlinevalve/list',
    method: 'get',
    params: query
  })
}

// 查询安全阀离线切出申请详细
export function getOfflinevalve(id) {
  return request({
    url: '/apply/offlinevalve/' + id,
    method: 'get'
  })
}

// 新增安全阀离线切出申请
export function addOfflinevalve(data) {
  return request({
    url: '/apply/offlinevalve',
    method: 'post',
    data: data
  })
}

// 修改安全阀离线切出申请
export function updateOfflinevalve(data) {
  return request({
    url: '/apply/offlinevalve',
    method: 'put',
    data: data
  })
}

export function handle(data) {
  return request({
    url: '/apply/offlinevalve/handle',
    method: 'put',
    data: data
  })
}

export function listSAFA(query) {
  return request({
    url: '/apply/offlinevalve/listSAFA',
    method: 'get',
    params:query
  })
}



// 删除安全阀离线切出申请
export function delOfflinevalve(id) {
  return request({
    url: '/apply/offlinevalve/' + id,
    method: 'delete'
  })
}

// 导出安全阀离线切出申请
export function exportOfflinevalve(query) {
  return request({
    url: '/apply/offlinevalve/export',
    method: 'put',
    data: query
  })
}

//获取word url
export function wordView(id) {
  return request({
    url: '/apply/offlinevalve/wordView/' + id,
    method: 'get',
  })
}
